be.ehealth.businessconnector.chapterIV.session

## Interface ChapterIVAgreementConsultationPharmacyService

- All Known Implementing Classes:
    ChapterIVAgreementConsultationPharmacyServiceImpl

      public interface ChapterIVAgreementConsultationPharmacyService

  The Business Connector for General Practitioners provides a simplified interface to access the ChapterIVAgreementConsultationPharmacy service by providing the following functionality: it retrieves the token from the session

  Default impl : `ChapterIVAgreementConsultationPharmacyServiceImpl` Factory : `ChapterIVSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)` retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
    `ConsultationBuilder` | `getConsultationBuilder()` returns the `ConsultationBuilderImpl`.
    `ResponseBuilder` | `getResponseBuilder()` returns the `ResponseBuilder` , a session should be active.

- - ### Method Detail

    - #### consultChap4MedicalAdvisorAgreement

          ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)
                                                                                   throws ChapterIVBusinessConnectorException,
                                                                                          TechnicalConnectorException

      retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
      Parameters:
        `request` -
      Returns:
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### getConsultationBuilder

          ConsultationBuilder getConsultationBuilder()
                                              throws TechnicalConnectorException

      returns the `ConsultationBuilderImpl`. a session should be active
      Returns:
        ConsultationBuilder
      Throws:
        `TechnicalConnectorException`

    - #### getResponseBuilder

          ResponseBuilder getResponseBuilder()
                                      throws TechnicalConnectorException

      returns the `ResponseBuilder` , a session should be active.
      Returns:
        ResponseBuilder
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.